import { Form } from '../../e2elib/lib/src/pageobjects/form.component';
import { MatrixEditorSOP } from '../../libappsop/matrixeditorsop';
import { DialogShiftPattern } from '../dialogs/dialog.shiftpattern';

export class FormShiftPattern extends Form {
  public meShiftPattern = new MatrixEditorShiftPattern();

  public constructor() {
    super('FormShiftPattern');
  }
}

export class MatrixEditorShiftPattern extends MatrixEditorSOP<DialogShiftPattern> {
  public static readonly title = 'Shift pattern';

  public constructor() {
    super('MatrixEditorShiftPatterns', 'matrixeditorContextMenuShiftPatterns', new DialogShiftPattern());
  }
}

// Matrix context menu items
const matrixEditorShiftPatternContextMenuItem = {
  Create: { ContextMenu: 'matrixeditorContextMenuShiftPatterns', Name: 'MenuCreate', Label: 'Create' },
  Edit: { ContextMenu: 'matrixeditorContextMenuShiftPatterns', Name: 'MenuEdit', Label: 'Edit' },
};

export { matrixEditorShiftPatternContextMenuItem as MatrixEditorShiftPatternContextMenuItem };

export const toastMatrixEditorShiftPattern = {
  valueGreaterThanMaxAllowed: (): string => 'Value is greater than the maximum allowed value',
};
